Skip to main content
DELETE
/
admin
/
model-pricing
/
{id}
Archive or cancel a pricing version
curl --request DELETE \
  --url https://{organization_id}.platform.barndoor.ai/api/llm-gateway/admin/model-pricing/{id} \
  --header 'Authorization: Bearer <token>'
{
  "deleted": true,
  "cancelled_scheduled": 123,
  "archived": true
}

Authorizations

Authorization
string
header
required

JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.

Path Parameters

id
string<uuid>
required

Response

Archive / cancel result

deleted
boolean
mode
enum<string>
Available options:
archived_rule,
cancelled_scheduled
cancelled_scheduled
integer
archived
boolean